RDCode: RDKit::FeatTrees Namespace Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

# RDKit::FeatTrees Namespace Reference

## Classes
struct | FeatTreeNode_t
struct | FeatTreeEdge_t
## Typedefs
typedef std::set < unsigned int > | UINT_SET
typedef boost::property < FeatTreeNode_t, UINT_SET > | FeatTreeNode
typedef boost::property < FeatTreeEdge_t, unsigned int > | FeatTreeEdge
typedef boost::adjacency_list < boost::vecS, boost::vecS, boost::undirectedS, FeatTreeNode, FeatTreeEdge > | FeatTreeGraph
typedef boost::shared_ptr < FeatTreeGraph > | FeatTreeGraphSPtr
typedef boost::property_map < FeatTreeGraph, FeatTreeEdge_t > ::type | FeatTreeEdgePMap
typedef boost::property_map < FeatTreeGraph, FeatTreeNode_t > ::type | FeatTreeNodePMap
## Functions
FeatTreeGraphSPtr | molToBaseTree (const ROMol &mol)
void | baseTreeToFeatTree (FeatTreeGraph &baseTree)
void | addRingsAndConnectors (const ROMol &mol, FeatTreeGraph &featGraph)
void | addRingRingBonds (const ROMol &mol, FeatTreeGraph &featGraph)
std::vector < unsigned int > | addNonringAtoms (const ROMol &mol, FeatTreeGraph &featGraph)
void | addBondsFromNonringAtoms (const ROMol &mol, FeatTreeGraph &featGraph, std::vector< unsigned int > &atomIndices)
void | addZeroNodes (FeatTreeGraph &featGraph)
void | replaceCycles (FeatTreeGraph &featGraph)

## Typedef Documentation

typedef boost::property<FeatTreeEdge_t,unsigned int> RDKit::FeatTrees::FeatTreeEdge

Definition at line 37 of file FeatTree.h.

typedef boost::property_map<FeatTreeGraph,FeatTreeEdge_t>::type RDKit::FeatTrees::FeatTreeEdgePMap

Definition at line 45 of file FeatTree.h.

typedef boost::adjacency_list< boost::vecS, boost::vecS, boost::undirectedS, FeatTreeNode, FeatTreeEdge > RDKit::FeatTrees::FeatTreeGraph

Definition at line 42 of file FeatTree.h.

typedef boost::shared_ptr<FeatTreeGraph> RDKit::FeatTrees::FeatTreeGraphSPtr

Definition at line 43 of file FeatTree.h.

typedef boost::property<FeatTreeNode_t,UINT_SET> RDKit::FeatTrees::FeatTreeNode

Definition at line 28 of file FeatTree.h.

typedef boost::property_map<FeatTreeGraph,FeatTreeNode_t>::type RDKit::FeatTrees::FeatTreeNodePMap

Definition at line 46 of file FeatTree.h.

typedef std::set<unsigned int> RDKit::FeatTrees::UINT_SET

Definition at line 19 of file FeatTree.h.

## Function Documentation

void RDKit::FeatTrees::addBondsFromNonringAtoms | ( | const ROMol & | mol,
|  | FeatTreeGraph & | featGraph,
|  | std::vector< unsigned int > & | atomIndices |
| ) |  |  |

std::vector<unsigned int> RDKit::FeatTrees::addNonringAtoms | ( | const ROMol & | mol,
|  | FeatTreeGraph & | featGraph |
| ) |  |  |

void RDKit::FeatTrees::addRingRingBonds | ( | const ROMol & | mol,
|  | FeatTreeGraph & | featGraph |
| ) |  |  |

void RDKit::FeatTrees::addRingsAndConnectors | ( | const ROMol & | mol,
|  | FeatTreeGraph & | featGraph |
| ) |  |  |

void RDKit::FeatTrees::addZeroNodes | ( | FeatTreeGraph & | featGraph | ) |

void RDKit::FeatTrees::baseTreeToFeatTree | ( | FeatTreeGraph & | baseTree | ) |

FeatTreeGraphSPtr RDKit::FeatTrees::molToBaseTree | ( | const ROMol & | mol | ) |

void RDKit::FeatTrees::replaceCycles | ( | FeatTreeGraph & | featGraph | ) |